[SciPy-user] Release of SciPy Core 0.4 (Beta)

Steven H. Rogers steve at shrogers.com
Tue Oct 4 22:35:37 CDT 2005


Didn't think so, but I did have an old version in my PYTHONPATH.  With that 
corrected, my 0.4.1 installation seems to be working.

Thanks,
Steve
//////////////////

Robert Kern wrote:
> Steven H. Rogers wrote:
> 
>>Robert Kern wrote:
> 
> 
>>>Could you show some code that fails and the error that results? Are you
>>>sure that you don't have an older version of scipy installed?
>>
>>When I wrote the previous post nothing seemed to work.  Things are
>>looking better now.
>>
>>steve at sojourner:~$ python
>>Python 2.4.2 (#1, Sep 30 2005, 18:34:48)
>>[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)] on linux2
>>Type "help", "copyright", "credits" or "license" for more information.
>>
>>>>>from scipy import *
>>>>>a = array([[1,2,3],[4,5,6]])
>>>>>print a
>>
>>[[1 2 3]
>> [4 5 6]]
>>
>>>>>a[1,1]
>>
>>5
>>
>>>>>a.shape
>>
>>(2, 3)
>>
>>>>>a.dtype
>>
>>Traceback (most recent call last):
>>  File "<stdin>", line 1, in ?
>>AttributeError: dtype
> 
> 
> Are you sure that you don't have an older version of scipy installed? It
> should have a version number 0.4.x, not 0.3.x:
> 
> In [6]: scipy.__version__
> Out[6]: '0.4.2'
> 

-- 
Steven H. Rogers, Ph.D., steve at shrogers.com
Weblog: http://shrogers.com/weblog
"He who refuses to do arithmetic is doomed to talk nonsense."
-- John McCarthy



More information about the SciPy-user mailing list